/*
$Id: r_type.h,v 1.1.1.1 1998/07/21 10:27:53 rene Exp $
*/
#ifndef R_TYPE_H
#define R_TYPE_H

typedef enum Type{
  T_cChar, /*const char terminiert, size ist aber eigentlich len */
  T_char,  /*fix char, unterminiert, z.B. subchar right */
  T_fChar, /*fix char, terminiert */
  T_sChar, /*sub char, unterminiert, nur subchar left  */
  
  T_Datetime,
  T_Interval,
  T_Byte,
  T_vChar,
  T_Text,

  T_short,
  T_long,
  T_Date,
  T_float,
  T_double,
  T_decimal,
  T_money,
  T_Struct,
  T_Array,

  T_ObjectP,
  T_SF,
  T_column,
  T_List,

  T_Function,
  T_Module,
  T_Data
}Type;

#ifdef NEED_TYPENAMES
static const char* typeNames[]={
  "cChar",
  "char",
  "fChar",      //fixhcar
  "sChar",    //subchar 
  "Datetime",
  "Interval",
  "Byte",
  "Varchar",
  "Text",
  "short",
  "int",
  "Date",
  "float",
  "double",
  "decimal",
  "money",
  "Struct",
  "Array",
  "ObjectP",
  "ScrFld",
  "Column",
  "List",
  "???",
};
#endif

#endif
